Template:Notice template wrapper/styles.css

From Wikipedia, the free encyclopedia
Jump to navigation Jump to search
/**
 * imported from {{Module:Message box/tpl-mnotice.css}}
 *
 * @source https://www.mediawiki.org/wiki/Module:Message_box/tpl-mnotice.css
 * @revision 2025-03-13
 */

table.tpl-mnotice {
	/* 10% = Will not overlap with other elements */
	margin: 0 10%;
	/* Prevent overflow in narrow screens (<=850px) in the Timeless skin.
	   See [[Skin:Timeless#Less than 851 pixels]]
	   and https://phabricator.wikimedia.org/source/Timeless/browse/REL1_39/resources/screen-mobile.less$268 */
	width: unset;
	/* Default "notice" blue */
	box-sizing: border-box;
	/* Sets to #default = .notice standard */
	background-color:#FFFFFF; 
	margin-top: 0.5em; 
	border: 1px solid var(--border-color-base); 
	border-top-color:var(--background-color-error--active); 
	border-top-width: .4rem; 
	border-radius: .20rem; 
	box-shadow: 0 4px 4px 0 rgba( 0, 0, 0, 0.06 ), 0 0 8px 0 rgba( 0, 0, 0, 0.06 );
}

/* Single border between stacked boxes. */
table.tpl-mnotice + table.tpl-mnotice,
table.tpl-mnotice + link + table.tpl-mnotice,
table.tpl-mnotice + style + table.tpl-mnotice {
	margin-top: -1px;
}

/* An empty narrow cell */
.tpl-mnotice td.tpl-mnotice-empty-cell {
	border: none;
	padding: 0;
	width: 1px;
}

/* The message body cell(s) */
.tpl-mnotice th.tpl-mnotice-text,
.tpl-mnotice td.tpl-mnotice-text {
	border: none;
	/* 0.5em left/right */
	padding: 1em 0.6em;
	/* Make all tpl-mnoticees the same width regardless of text length */
	width: 100%;
}

/* The left image cell */
.tpl-mnotice td.tpl-mnotice-image {
	/* 0.5em left, 0px right */
	/* @noflip */
	padding: 1em 0.6em;
}

/* The right image cell */
.tpl-mnotice td.tpl-mnotice-imageright {
	/* 0px left, 0.5em right */
	/* @noflip */
	padding: 1em 0.6em;
}

table.tpl-mnotice-notice {
	/* Blue */
	border-top-color: var(--border-color-progressive, #36c);
}

table.tpl-mnotice-speedy {
	/* Pink */
	background-color: var(--background-color-error-subtle, #fee7e6); 
}

table.tpl-mnotice-delete,
table.tpl-mnotice-speedy {
	/* Red */
	border-top-color: var(--background-color-error--hover, #d74032); 
}

table.tpl-mnotice-content {
	/* Orange */
	border-top-color: #f16633;
}

table.tpl-mnotice-style {
	/* Yellow */
	border-top-color: #FFCC33;
}

table.tpl-mnotice-move {
	/* Purple */
	border-top-color: #9932cc;
}

table.tpl-mnotice-protection {
	/* Gray-gold */
	border-top-color: var(--border-color-base, #a2a9b1);
}

/**
 * {{tpl-mnotice|small=1}} styles
 *
 * These ".tpl-mnotice-small" classes must be placed after all other
 * ".tpl-mnotice" classes. "html body.mediawiki .tpl-mnotice"
 * is so they override both "table.tpl-mnotice + table.tpl-mnotice"
 * and "table.tpl-mnotice + link + table.tpl-mnotice" above.
 *
 * @source https://www.mediawiki.org/wiki/MediaWiki:Gadget-enwp-boxes.css
 * @revision 2021-07-15
 */

/* For the "small=yes" option. */
html body.mediawiki .tpl-mnotice.tpl-mnotice-small {
	clear: right;
	float: right;
	margin: 4px 0 4px 1em;
	box-sizing: border-box;
	width: 238px;
	font-size: 88%;
	line-height: 1.25em;
}

/* For the "small=left" option. */
html body.mediawiki .tpl-mnotice.tpl-mnotice-small-left {
	margin: 4px 1em 4px 0;
	box-sizing: border-box;
	overflow: hidden;
	width: 238px;
	border-collapse: collapse;
	font-size: 88%;
	line-height: 1.25em;
}